/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
extern "C" {
int idamax_(int *n, double *l_2, int *l_3);
double dasum_(int *n, double *dx, int *l_3);
void daxpy_(int *n, double *l_4, double *dx, int *l_3, double *dy, int *l_5);
int dcopy_(int *n, double *dx, int *l_3, double *dy, int *l_5);
double ddot_(int *n, double *dx, int *l_3, double *dy, int *l_5);
double dnrm2_(int *n, double *dx, int *l_3);
int drot_(int *n, double *dx, int *l_3, double *dy, int *l_5, double *c, double *s);
int drotg_(double *l_4, double *l_6, double *c, double *s);
int drotm_(int *n, double *dx, int *l_3, double *dy, int *l_5, double *l_7);
int drotmg_(double *l_8, double *l_9, double *l_10, double *l_11, double *l_7);
int dscal_(int *n, double *l_4, double *dx, int *l_3);
int dswap_(int *n, double *x, int *l_3, double *y, int *l_5);
}
int l_12(int *n, double *l_2, double *l_13, int *l_3);
double l_14(int *n, double *l_2, double *l_13, int *l_3);
void l_15(int *n, double *l_16, double *si, double *l_2, double *l_13, int *l_3,
double *l_17, double *l_18, int *l_5);
void l_19(int *n, double *l_16, double *si, double *l_2, double *l_13, int *l_3,
double *l_17, double *l_18, int *l_5);
void l_20(int *n, double *l_2, double *l_13, int *l_3, double *l_17, double *l_18, int *l_5);
double l_21(int *n, double *l_2, double *l_13, int *l_3, double *l_17, double *l_18, int *l_5);
double l_22(int *n, double *l_2, double *l_13, int *l_3, double *l_17, double *l_18, int *l_5);
double l_23(int *n, double *l_2, double *l_13, int *l_3, double *l_17, double *l_18, int *l_5);
double l_24(int *n, double *l_2, double *l_13, int *l_3, double *l_17, double *l_18, int *l_5);
double l_25(int *n, double *l_2, double *l_13, int *l_3);
void l_26(int *n, double *s, double *l_2, double *l_13, int *l_3);
void l_26(int *n, double *l_16, double *si, double *l_2, double *l_13, int *l_3);
void l_27(int *n, double *l_2, double *l_13, int *l_3, double *l_17, double *l_18, int *l_5);
void set(int *n, double *dx, double *dy, int *l_5);
void set(int *n, double *l_2, double *l_13, double *l_17, double *l_18, int *l_5);
